3
r
u
l
7
r
d
r
u
u
u
r
1
r
1
l
1
u
1
d
100
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
r
100
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
r
l
100
u
r
u
l
l
l
r
u
l
u
l
r
r
d
u
d
r
r
u
l
r
u
r
u
d
l
l
r
r
l
r
l
u
r
l
r
r
r
r
d
u
r
l
r
r
d
u
d
l
u
r
u
l
u
l
r
l
d
r
d
d
r
d
d
r
d
u
u
d
d
l
l
l
d
u
l
u
r
u
u
d
l
r
d
l
r
u
r
u
u
d
l
l
u
u
d
r
u
d
u
0

